﻿using GroupDocsAnnotationDotNet.Models;
using Orchard.ContentManagement;
using Orchard.ContentManagement.Drivers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GroupDocsAnnotationDotNet.Drivers
{
    public class GroupDocsAnnotationDotNetDriver : ContentPartDriver<GroupDocsAnnotationDotNetPart>
    {
        protected override DriverResult Display(
            GroupDocsAnnotationDotNetPart part, string displayType, dynamic shapeHelper)
        {
            String ajaxPath = "";
            String postData = "";
            if (part.UseHttpHandlers == null)
            {
                ajaxPath = part.Url + "/home/getId/";
                postData = "un=" + part.userName;
            }
            else
            {
                ajaxPath = part.Url + "/ajax.ashx/" + part.userName;
                postData = "";
            }
            return ContentShape("Parts_GroupDocsAnnotationDotNet",
                () => shapeHelper.Parts_GroupDocsAnnotationDotNet(
                    Url: part.Url,
                    Width: part.Width == null || part.Width.Length == 0 ? "100%" : part.Width + "px",
                    Height: part.Height == null || part.Height.Length == 0 ? "600px" : part.Height + "px",
                    DefaultFileName: part.DefaultFileName,
                    UseHttpHandlers: part.UseHttpHandlers == null ? true : part.UseHttpHandlers,
                    userName: part.userName,
                    ajaxPath: ajaxPath,
                    postData: postData
                    ));
        }

        //GET
        protected override DriverResult Editor(GroupDocsAnnotationDotNetPart part, dynamic shapeHelper)
        {
            return ContentShape("Parts_GroupDocsAnnotationDotNet_Edit",
                () => shapeHelper.EditorTemplate(
                    TemplateName: "Parts/GroupDocsAnnotationDotNet",
                    Model: part,
                    Prefix: Prefix));
        }

        //POST
        protected override DriverResult Editor(
            GroupDocsAnnotationDotNetPart part, IUpdateModel updater, dynamic shapeHelper)
        {
            updater.TryUpdateModel(part, Prefix, null, null);
            return Editor(part, shapeHelper);
        }
    }
}