﻿using Orchard.ContentManagement;
using Orchard.ContentManagement.Records;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace GroupDocsAnnotationDotNet.Models
{
    public class GroupDocsAnnotationDotNetRecord : ContentPartRecord
    {
        public virtual String Url { get; set; }
        public virtual String Width { get; set; }
        public virtual String Height { get; set; }
        public virtual String userName { get; set; }
        public virtual String DefaultFileName { get; set; }
        public virtual bool UseHttpHandlers { get; set; }
    }

    public class GroupDocsAnnotationDotNetPart : ContentPart<GroupDocsAnnotationDotNetRecord>
    {

        [Required]
        [DisplayName("Annotation Url")]
        public String Url
        {
            get { return Record.Url; }
            set { Record.Url = value; }
        }

        [Required]
        [DisplayName("Annotation Width")]
        public String Width
        {
            get { return Record.Width; }
            set { Record.Width = value; }
        }

        [Required]
        [DisplayName("Annotation Height")]
        public String Height
        {
            get { return Record.Height; }
            set { Record.Height = value; }
        }

        [Required]
        [DisplayName("User name to assign annotations")]
        public String userName
        {
            get { return Record.userName; }
            set { Record.userName = value; }
        }

        [DisplayName("Default file name")]
        public String DefaultFileName
        {
            get { return Record.DefaultFileName; }
            set { Record.DefaultFileName = value; }
        }

        [Required]
        [DisplayName("Use Http Handlers")]
        public bool UseHttpHandlers
        {
            get { return Record.UseHttpHandlers; }
            set { Record.UseHttpHandlers = value; }
        }
       
    }
}